/*
 * TTChoice - Tim Tyler 1998 - 1999.
 */

   import java.lang.Object;
   import java.awt.*;
   import java.awt.event.*;
   import java.applet.*;
   import java.util.Vector;
   import java.util.Enumeration;

   public class TTChoice extends Object {
      public Vector vector;
      public Choice choice;
   
      public TTChoice(ItemListener il) {
         choice = new Choice();
         choice.addItemListener(il);
      
         vector = new Vector();
      }
   
      public void add(String s, int n) {
         choice.addItem(s);
      
         vector.addElement(new TTNumStr(n,s)); //  = s;
      }
      
      public void removeAll() {
         choice.removeAll();
      
         vector.removeAllElements(); //  = s;
      }
   
   
      public int str_to_num(String s) {
         int i = 0;
         Enumeration enumeration;
         TTNumStr temp_pair;
      
         enumeration = vector.elements();
      
         while (enumeration.hasMoreElements()) {
         
            temp_pair = (TTNumStr)(enumeration.nextElement());
         
            if (temp_pair.string == s)
               return temp_pair.number;
         }
      
         return -99; // -99 = not found...
      }
   
   
      public String num_to_str(int j) {
         int i = 0;
         Enumeration enumeration;
         TTNumStr temp_pair;
      
         enumeration = vector.elements();
      
         while (enumeration.hasMoreElements()) {
            temp_pair = (TTNumStr)(enumeration.nextElement());
         
            if (temp_pair.number == j)
               return temp_pair.string;
         }
      
         return ""; // null marker = not found...
      }
   
   
   }